// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {

ServerEvents.recipes(event => {
    event.remove('create:crafting/kinetics/steam_whistle')
    event.shaped('create:steam_whistle', [
        'A',
        'B'
    ], {
        A: '#forge:plates/brass',
        B: '#forge:ingots/copper'
    }).id('bttk:steam_whistle')

    event.remove('create:crafting/logistics/andesite_funnel')
    event.remove('create:crafting/logistics/andesite_tunnel')
    event.remove('create:crafting/logistics/brass_funnel')
    event.remove('create:crafting/logistics/brass_tunnel')
    event.stonecutting('2x create:andesite_funnel', 'create:andesite_alloy')
    event.stonecutting('create:andesite_tunnel', 'create:andesite_alloy')
    event.stonecutting('2x create:brass_funnel', 'create:brass_ingot')
    event.stonecutting('create:brass_tunnel', 'create:brass_ingot')

    event.remove('create:crafting/kinetics/belt_connector')
    event.shaped(Item.of('create:belt_connector', 2), [
        'XXX',
        'XXX'
    ], {
        X: 'minecraft:dried_kelp'
    }).id('bttk:belt_from_dried_kelp')

    event.shaped(Item.of('create:belt_connector', 4), [
        'XXX',
        'XXX'
    ], {
        X: ['garnished:dried_dulse_kelp', 'garnished:dried_vermilion_kelp']
    }).id('bttk:belt_from_garnished_kelp')

    event.shaped(Item.of('create:belt_connector', 6), [
        'XXX',
        'XXX'
    ], {
        X: 'thermal:cured_rubber'
    }).id('bttk:belt_from_cured_rubber')
})